# Uses of Class
org.apache.datasketches.tuple.TupleSketchIterator

Packages that use TupleSketchIterator
Package
Description
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.

## Uses of TupleSketchIterator in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple that return TupleSketchIterator
Modifier and Type
Method
Description
`TupleSketchIterator<S>`
CompactSketch.`iterator()`
`abstract TupleSketchIterator<S>`
Sketch.`iterator()`
Returns a SketchIterator